import java.time.LocalDateTime;
import java.time.format.DateTimeFormatter;
import java.util.Locale;

public class DateString1 {
	// w肵tH[}bgdateformatdate̕𐶐({)
	private static String createDateString_JP( String dateformat, LocalDateTime date )
	{
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern( dateformat, Locale.JAPAN  );
		return date.format( formatter );
	}

	// w肵tH[}bgdateformatdate̕𐶐(p)
	private static String createDateString_EN( String dateformat, LocalDateTime date )
	{
		DateTimeFormatter formatter = DateTimeFormatter.ofPattern( dateformat, Locale.ENGLISH );
		return date.format( formatter );
	}

	// C
	public static void main( String[] args ) {
		// i[ϐ錾
		String datestring;

		// tH[}bg
		String dateformat;

		// ݂̓dateɑ
		LocalDateTime date = LocalDateTime.now();

		// yyyy/MM/dd
		dateformat = "yyyy/MM/dd";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// y/M/d
		dateformat = "y/M/d";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// yyyyNMMNdd
		dateformat = "yyyyNMMNdd";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// yyyy/MM/dd (E)
		dateformat = "yyyy/MM/dd (E)";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// Gyyyy/MM/dd (E)
		dateformat = "Gyyyy/MM/dd (E)";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// GyyyyNMMdd(E)
		dateformat = "GyyyyNMMdd(E)";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// G
		dateformat = "G";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
		System.out.println( );	// s


		// E
		dateformat = "E";

		datestring = createDateString_JP( dateformat, date );	// {
		System.out.println( "JP  " + dateformat + "\t" + datestring );

		datestring = createDateString_EN( dateformat, date );	// p
		System.out.println( "EN  " + dateformat + "\t" + datestring );
	}
}
